    //
//  Detail2.m
//  TestSplit
//
//  Created by sdebmc on 7/12/11.
//  Copyright 2011 BMC Software. All rights reserved.
//

#import "Detail2.h"
#import "CustomSplitViewController.h"

@implementation Detail2

@synthesize toolbar;
@synthesize popoverController;

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Overriden to allow any orientation.
    return YES;
}


//START:code.split.portrait
- (void)splitViewController:(CustomSplitViewController*)svc 
     willHideViewController:(UIViewController *)aViewController 
          withBarButtonItem:(UIBarButtonItem*)barButtonItem 
       forPopoverController:(UIPopoverController*)pc {
    
	barButtonItem.title = @"Detail 2 - List";
	
	//As we are using UINavigationBar which acts as a toolbar to set the 'Update' button 
	//to right aligned, we create a navItem and set the left and right buttons
	UINavigationItem *navItem = [[UINavigationItem alloc] init];
    [navItem setLeftBarButtonItem:barButtonItem];
	
	[toolbar  setItems:[NSArray arrayWithObject:navItem]];
	[navItem release];
    //[self.toolbar setItems:[NSArray arrayWithObject:barButtonItem] 
    //              animated:YES]; 
    self.popoverController = pc;
}
//END:code.split.portrait

//START:code.split.landscape
- (void)splitViewController: (CustomSplitViewController*)svc 
     willShowViewController:(UIViewController *)aViewController
  invalidatingBarButtonItem:(UIBarButtonItem *)barButtonItem { 
	
	//As we are using UINavigationBar which acts as a toolbar
	//we clear all the buttons and recreate only the 'Update' button on the right	
	[self.toolbar setItems:[NSArray array] animated:YES]; 
	
	//[self.navigationItem setLeftBarButtonItem:nil animated:NO];
    self.popoverController = nil;
}
//END:code.split.landscape



- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc. that aren't in use.
}


- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void)dealloc {
	
    [popoverController release], popoverController = nil;
    [toolbar release], toolbar = nil;
	
    [super dealloc];
}



@end
