//
//  TestSplitAppDelegate.m
//  TestSplit
//
//  Created by sdebmc on 7/12/11.
//  Copyright 2011 BMC Software. All rights reserved.
//

#import "TestSplitAppDelegate.h"
#import "MyRequestsController.h"
#import "Detail1.h"
#import "NonSplitView.h"
#import "Detail2.h"

@implementation TestSplitAppDelegate

@synthesize splitVC;
@synthesize appInfoSplitVC;
@synthesize myTabBarController;
@synthesize window;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions 
{    
	
	//STEP 1 - Create the SplitView for the incident list and detail views
	//**************
	
	//create the master view
	MyRequestsController *masterView = [[MyRequestsController alloc]
											 initWithNibName:@"IncidentListView"
											 bundle:[NSBundle mainBundle]];
	
	//create the details view
	Detail1 *detailsView = [[Detail1 alloc]
								initWithNibName:@"Detail1"
								bundle:[NSBundle mainBundle]];
	
	
	UINavigationController *mainNavigationController = [[UINavigationController alloc] 
														initWithRootViewController:masterView];
	
	if (self.splitVC == nil)
	{
		//create the split view
		self.splitVC = [[CustomSplitViewController alloc] init];
	}
	
	
	//create and set the split view delegate
	self.splitVC.delegate = detailsView; 
	
	//set the split view controllers array
	self.splitVC.viewControllers = [NSArray
											 arrayWithObjects:mainNavigationController, detailsView, nil];
	
	//Create a Tabbar (for the bottom 3 tabs)
	if (self.myTabBarController == nil)
	{
		self.myTabBarController = [[UITabBarController alloc] init];
	}
	NSMutableArray *localControllersArray = [[NSMutableArray alloc] initWithCapacity:3];
	
	//Set the splitview's tabbar item
	self.splitVC.tabBarItem = [[UITabBarItem alloc] initWithTitle:@"Split View 1" image:[UIImage imageNamed:@"icon-my-requests.png"] tag:0];
	
	
	//STEP 2 - Push the 'Add simple - NON Split' view
	//**************	
	
	UINavigationController *niNavController = [[UINavigationController alloc] init];					
	
	NonSplitView *niController = [[NonSplitView alloc] 
										   initWithNibName:@"NonSplitView"
										   bundle:nil];
	niController.tabBarItem = [[UITabBarItem alloc] initWithTitle:@"Ordinary View" image:[UIImage imageNamed:@"icon-new-request.png"] tag:1];
	[niNavController pushViewController:niController animated:NO];
	
	[niController release];
	
	
	//STEP 3 - Code to create the split view for - 'App Info' view
	//**************
	
	//Create the master view for app info
	MyRequestsController *masterAppInfoView = [[MyRequestsController alloc]
										initWithNibName:@"IncidentListView"
										bundle:[NSBundle mainBundle]];
	
	//create the details view for app info
	Detail2 *detailsAppInfoView = [[Detail2 alloc]
										initWithNibName:@"Detail2"
										bundle:[NSBundle mainBundle]];
	
	
	UINavigationController *appInfoNavigationController = [[UINavigationController alloc] 
														   initWithRootViewController:masterAppInfoView];					
	
	if (self.appInfoSplitVC == nil)
	{
		//create the split view for app info
		self.appInfoSplitVC = [[CustomSplitViewController alloc] init];
	}
	
	//create and set the split view delegate
	self.appInfoSplitVC.delegate = detailsAppInfoView;
		
	//set the view controllers array
	self.appInfoSplitVC.viewControllers = [NSArray
													arrayWithObjects:appInfoNavigationController, detailsAppInfoView, nil];
	
	
	self.appInfoSplitVC.tabBarItem = [[UITabBarItem alloc] initWithTitle:@"Split View 2" image:[UIImage imageNamed:@"icon_about.png"] tag:2];
	
	//******* 
	//load the array with - 1) splitview for homeview, 2) addincident 3)splitview for app info
	[localControllersArray addObject:self.splitVC];
	[localControllersArray addObject:niNavController];
	[localControllersArray addObject:self.appInfoSplitVC];
	
	[niNavController release];
	
	// load up our tab bar controller with the view controllers
	self.myTabBarController.viewControllers = localControllersArray;
	
	// release the array because the tab bar controller now has it
	[localControllersArray release];
		
	//show split view as the main view
	// Override point for customization after app launch    	
	[window addSubview:self.myTabBarController.view];
	[window makeKeyAndVisible];
	
	//release stuff
	[masterView release];
	[detailsView release];
	[mainNavigationController release];
	
	[masterAppInfoView release];
	[detailsAppInfoView release];
	[appInfoNavigationController release];
	
    return YES;
}

- (void)dealloc 
{
    [splitVC release], splitVC = nil;
	[appInfoSplitVC release], appInfoSplitVC = nil;
	[myTabBarController release];
	[window release];
	[super dealloc];
}

@end


